%global pypi_name XStatic

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 5
Summary:        XStatic base package with minimal support code
Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/thomaswaldmann/xstatic
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
The goal of XStatic family of packages is to provide static
file packages with minimal overhead - without selling you some 
dependencies you don't want.

XStatic has some minimal support code for working with the
XStatic-* packages.


%package -n python3-%{pypi_name}
Summary:       XStatic base package with minimal support code
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}

The goal of XStatic family of packages is to provide static
file packages with minimal overhead - without selling you some
dependencies you don't want.

XStatic has some minimal support code for working with the
XStatic-* packages.


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install
mkdir %{buildroot}/%{python3_sitelib}/xstatic/pkg


%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic
%{python3_sitelib}/XStatic-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-5.mga9
+ Revision: 1822388
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 neoclust <neoclust> 1.0.1-4.mga9
+ Revision: 1773408
- rebuild for python 3.10

* Sat Jun 26 2021 tmb <tmb> 1.0.1-3.mga9
+ Revision: 1733707
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 1.0.1-2.mga9
+ Revision: 1732975
- Rebuild for python 3.9

* Fri May 15 2020 joequant <joequant> 1.0.1-1.mga8
+ Revision: 1583870
- imported package python-XStatic

